Debian Bug report logs - #575820
[uupdate] Use {diff|debian.tar}.{gz|bz2|lzma} instead of "diffs" in error message

version graph

Package: devscripts; Maintainer for devscripts is Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>; Source for devscripts is src:devscripts.

Reported by: Osamu Aoki <osamu@debian.org>

Date: Mon, 29 Mar 2010 14:57:01 UTC

Severity: wishlist

Tags: patch

Found in version devscripts/2.10.61

Fixed in version devscripts/2.10.62

Done: James Vega <jamessan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#575820; Package devscripts. (Mon, 29 Mar 2010 14:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
New Bug report received and forwarded. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. (Mon, 29 Mar 2010 14:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: devscripts: [uupdate] support new dpkg 3.0 (quilt) format with *.debian.tar.gz
Date: Mon, 29 Mar 2010 23:53:03 +0900
Package: devscripts
Version: 2.10.61
Severity: normal
File: uupdate

Currently, uupdate only support dpkg 1.0 diff.{gz|bz2|lzma}

We need *.debian.tar.{gz|bz2|lzma|xz} supported :-)


-- Package-specific info:

--- /etc/devscripts.conf ---

--- ~/.devscripts ---
DEBSIGN_KEYID="A8061F32"
DEBUILD_DPKG_BUILDPACKAGE_OPTS="-i -I"

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages devscripts depends on:
ii  dpkg-dev                      1.15.5.6   Debian package development tools
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  perl                          5.10.1-11  Larry Wall's Practical Extraction 

Versions of packages devscripts recommends:
ii  at                 3.1.12-1              Delayed job execution and batch pr
ii  bsd-mailx [mailx]  8.1.2-0.20100314cvs-1 simple mail user agent
ii  bzr                2.1.1-1               easy to use distributed version co
ii  curl               7.20.0-2              Get a file from an HTTP, HTTPS or 
ii  cvs                1:1.12.13-12          Concurrent Versions System
ii  dctrl-tools        2.14                  Command-line tools to process Debi
ii  debian-keyring [de 2009.11.04            GnuPG (and obsolete PGP) keys of D
ii  dput               0.9.5.1               Debian package upload tool
ii  dupload            2.6.6                 utility to upload Debian packages
ii  epiphany-browser [ 2.29.92-1             Intuitive GNOME web browser
ii  equivs             2.0.8                 Circumvent Debian package dependen
ii  fakeroot           1.14.4-1              Gives a fake root environment
ii  git-core           1:1.7.0.3-1           fast, scalable, distributed revisi
ii  gnupg              1.4.10-3              GNU privacy guard - a free PGP rep
ii  iceweasel [www-bro 3.5.8-1               Web browser based on Firefox
ii  libauthen-sasl-per 2.14-1                Authen::SASL - SASL Authentication
ii  libcrypt-ssleay-pe 0.57-2                Support for https protocol in LWP
ii  libparse-debcontro 2.005-2               Easy OO parsing of Debian control-
ii  libsoap-lite-perl  0.710.10-1            Perl implementation of a SOAP clie
ii  libterm-size-perl  0.2-4+b1              Perl extension for retrieving term
ii  libtimedate-perl   1.2000-1              collection of modules to manipulat
ii  liburi-perl        1.53-1                module to manipulate and access UR
ii  libwww-perl        5.834-1               Perl HTTP/WWW client/server librar
ii  libyaml-syck-perl  1.07-1                fast, lightweight YAML loader and 
ii  lintian            2.3.4                 Debian package checker
ii  lsb-release        3.2-23                Linux Standard Base version report
ii  lzma               4.43-14               Compression method of 7z format in
ii  man-db             2.5.7-2               on-line manual pager
ii  mercurial          1.5-1                 scalable distributed version contr
ii  openssh-client [ss 1:5.3p1-3             secure shell (SSH) client, for sec
ii  patch              2.6-2                 Apply a diff file to an original
ii  patchutils         0.3.1-2               Utilities to work with patches
ii  sensible-utils     0.0.2                 Utilities for sensible alternative
ii  strace             4.5.19-2              A system call tracer
ii  subversion         1.6.9dfsg-1           Advanced version control system
ii  unzip              6.0-4                 De-archiver for .zip files
ii  w3m [www-browser]  0.5.2-4               WWW browsable pager with excellent
ii  wdiff              0.5-21                Compares two files word by word
ii  wget               1.12-1.1              retrieves files from the web

Versions of packages devscripts suggests:
ii  build-essential               11.5       Informational list of build-essent
ii  cvs-buildpackage              5.23       A set of Debian package scripts fo
pn  devscripts-el                 <none>     (no description available)
pn  gnuplot                       <none>     (no description available)
pn  libfile-desktopentry-perl     <none>     (no description available)
pn  libnet-smtp-ssl-perl          <none>     (no description available)
ii  mutt                          1.5.20-7   text-based mailreader supporting M
ii  svn-buildpackage              0.7.1      helper programs to maintain Debian
ii  w3m                           0.5.2-4    WWW browsable pager with excellent

-- no debconf information




Severity set to 'wishlist' from 'normal' Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 29 Mar 2010 15:21:07 GMT) Full text and rfc822 format available.

Changed Bug title to '[uupdate] Support source format 3.0 packages' from 'devscripts: [uupdate] support new dpkg 3.0 (quilt) format with *.debian.tar.gz' Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 29 Mar 2010 15:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#575820; Package devscripts. (Tue, 30 Mar 2010 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. (Tue, 30 Mar 2010 16:27:06 GMT) Full text and rfc822 format available.

Message #14 received at 575820@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 575820@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#575820: Retitle: better message ...
Date: Wed, 31 Mar 2010 01:13:16 +0900
[Message part 1 (text/plain, inline)]
retitle 575820 dpkg 3.0 friendly message
tags 575820 patch
severity 575820 wishlist
thanks

I got confused with uupdate message when I was testing this in wrong
environment as below.  uupdate works fine for 3.0.

...
-- Untarring the new sourcecode archive ../anthy_9100h.orig.tar.gz
uupdate: could not find diffs from version 9100g-1 to apply!

"diifs" were unclear.

I think making message like attached may help lost soul like me.

Osamu

> -- 
> 575820: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=575820
[uupdate.diff (text/x-diff, attachment)]

Changed Bug title to 'dpkg 3.0 friendly message' from '[uupdate] Support source format 3.0 packages' Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Tue, 30 Mar 2010 16:27:11 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Tue, 30 Mar 2010 16:27:12 GMT) Full text and rfc822 format available.

Changed Bug title to '[uupdate] Use {diff|debian.tar}.{gz|bz2|lzma} instead of "diffs" in error message' from 'dpkg 3.0 friendly message' Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Tue, 30 Mar 2010 16:33:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from James Vega <jamessan@debian.org> to control@bugs.debian.org. (Sun, 04 Apr 2010 04:18:09 GMT) Full text and rfc822 format available.

Message sent on to Osamu Aoki <osamu@debian.org>:
Bug#575820. (Sun, 04 Apr 2010 04:18:15 GMT) Full text and rfc822 format available.

Message #25 received at 575820-submitter@bugs.debian.org (full text, mbox):

From: James Vega <jamessan@debian.org>
To: 575820-submitter@bugs.debian.org
Subject: Bug#575820 marked as pending
Date: Sun, 04 Apr 2010 04:11:50 +0000
tag 575820 pending
thanks

Hello,

Bug #575820 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=devscripts/devscripts.git;a=commitdiff;h=efc8b85

---
commit efc8b8593f1d0914647c0476c107ca47d414d2ad
Author: James Vega <jamessan@debian.org>
Date:   Sun Apr 4 00:11:13 2010 -0400

    Clarify wording when neither a diff nor a debian.tar is found.  (Closes: #575820)

diff --git a/debian/changelog b/debian/changelog
index b549300..a1e3072 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -31,6 +31,8 @@ devscripts (2.10.62) UNRELEASED; urgency=low
       (Closes: #569062)
     + Add support for xz compressed archives/patches.  Thanks to Hideki Yamane
       for the patch.  (Closes: #568615)
+    + Clarify wording when neither a diff nor a debian.tar is found.  (Closes:
+      #575820)
   * Update descriptions of debcommit to include darcs as a supported VCS.
     (Closes: #570138)
   * debchange:




Reply sent to James Vega <jamessan@debian.org>:
You have taken responsibility. (Tue, 06 Apr 2010 04:33:46 GMT) Full text and rfc822 format available.

Notification sent to Osamu Aoki <osamu@debian.org>:
Bug acknowledged by developer. (Tue, 06 Apr 2010 04:33:46 GMT) Full text and rfc822 format available.

Message #30 received at 575820-close@bugs.debian.org (full text, mbox):

From: James Vega <jamessan@debian.org>
To: 575820-close@bugs.debian.org
Subject: Bug#575820: fixed in devscripts 2.10.62
Date: Tue, 06 Apr 2010 04:27:58 +0000
Source: devscripts
Source-Version: 2.10.62

We believe that the bug you reported is fixed in the latest version of
devscripts, which is due to be installed in the Debian FTP archive:

devscripts_2.10.62.dsc
  to main/d/devscripts/devscripts_2.10.62.dsc
devscripts_2.10.62.tar.gz
  to main/d/devscripts/devscripts_2.10.62.tar.gz
devscripts_2.10.62_i386.deb
  to main/d/devscripts/devscripts_2.10.62_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575820@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Vega <jamessan@debian.org> (supplier of updated devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Mon, 05 Apr 2010 23:00:39 -0400
Source: devscripts
Binary: devscripts
Architecture: source i386
Version: 2.10.62
Distribution: unstable
Urgency: low
Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
Changed-By: James Vega <jamessan@debian.org>
Description: 
 devscripts - scripts to make the life of a Debian Package maintainer easier
Closes: 507776 521642 537367 559549 563901 563918 564075 564443 565159 568473 568615 569062 570138 573092 575554 575820 576287
Changes: 
 devscripts (2.10.62) unstable; urgency=low
 .
   [ James Vega ]
   * debcommit:
     + Fix a regression where only debian/ changes were being committed in CVS
       repos.  Thanks to Thomas Parmelan for the patch.  (Closes: #563918)
     + Change '~' in version numbers to '.' when tagging in git.  Thanks to
       Damyan Ivanov.  (Closes: #564075)
     + Treat darcs similar to hg with respect to determining the commit
       message.  Fold a single change into one line and spawn an editor if
       multiple changes are detected.  (Closes: #563901)
     + Ensure the commit message presented to the user for editing always has
       an EOL on the last line.
   * rmadison:
     + Add http://qa.debian.org/cgi-madison/madison.cgi, shorthand "udd", as a
       known madison URL.
     + Detect an existing '?' in a URL and use '&' to append more cgi
       parameters.  Thanks to Raphael Geissert.
   * chdist:
     + Add "use strict" and update for compliance.
     + Use Dpkg::Version to perform version comparisons.
   * Devscripts::Versort: Use Dpkg::Version::version_compare instead of
     invoking “dpkg --compare-versions”.
   * debian/control:
     + Update Vcs-* to point to the new Git repository.
     + Remove Conflicts on kdesdk-scripts from Etch.
     + Bump Standards-Version to 3.8.4 -- no changes necessary.
   * dcmd: Allow capital letters for the section and priority fields.  (Closes:
     #565159)
   * debcheckout: Ensure "/git/" is at the start of the URL's path when
     performing an authenticated clone of an Alioth git repo.
   * uupdate:
     + Fix a typo which caused redirection of stdout to a file name "@".
       (Closes: #569062)
     + Add support for xz compressed archives/patches and 7z archives.  Thanks
       to Hideki Yamane for the patch.  (Closes: #568615)
     + Clarify wording when neither a diff nor a debian.tar is found.  (Closes:
       #575820)
   * Update descriptions of debcommit to include darcs as a supported VCS.
     (Closes: #570138)
   * debchange:
     + Add maverick as a valid distribution.  Thanks to Benjamin Drung for the
       patch.  (Closes: #576287)
     + Treat a trailing '+' like a trailing '~' when incrementing the version
       number.  (Closes: #521642)
   * debuild: Expose two new variables (epoch-less source version, and upstream
     version) to hooks.  Thanks to gregor herrmann for the patch.  (Closes:
     573092)
   * checkbashisms: Detect more Bash builtins -- readarray, mapfile, enable.
     (Closes: #568473)
   * dd-list: Clarify that --dctrl simply changes the expected format of the
     list of packages.  Thanks to Adeodato Simó for the suggestion.  (Partially
     addresses #509983)
   * Add bash completion of package names for various Devscripts commands.
     Thanks to Simon Paillard for the patch.  (Closes: #507776)
   * Document in dscverify(1) that /usr/share/keyrings/debian-maintainers.gpg
     is one of the default keyrings.
   * dget: Add description of the use of dscverify to the description in the
     man page.  (Closes: #537367)
   * Add support for working with/recognizing xz archives to debchange,
     debdiff, debuild, uscan.
   * Use standalone “set -e” lines in maintainer scripts.
   * Add debian/source/format with "3.0 (native)".
 .
   [ Patrick Schoenfeld ]
   * nmudiff: Fix "[nmudiff] please include --tagpending option" by applying the
     patch from Gregor Herrmann. Thanks. (Closes: #559549)
   * build-rdeps:
     + Add some documentation to the manpage, which emphasizes on the fact that
       the tool has some external dependencies (namely apt Sources files)
     + Add a proper argument passing to test_for_valid_component() so that
       it really gets the filename and not the Release file entry.
     + Add a check to test_for_valid_component() to test if a given Sources
       file actually exists and otherwise print a more meaningful warning.
       (Closes: #564443)
 .
   [ Adam D. Barratt ]
   * debchange: Sanitise list of distributions.  Remove {sarge,etch}-backports
     and sarge-volatile, none of which accept uploads any more.
 .
   [ Martin Zobel-Helas ]
   * checkbashisms: Fix typo spotted by Dann Frazier. (Closes: #575554)
Checksums-Sha1: 
 0b78b23782ac50495cbe5601226865bb03bad856 1429 devscripts_2.10.62.dsc
 f0552fbafe76309d0b0307efe7cd6d2012ec1d7c 691740 devscripts_2.10.62.tar.gz
 9b086e439adaf74b79f440f13a670dc3b70d6570 597912 devscripts_2.10.62_i386.deb
Checksums-Sha256: 
 14304814299e183313d3ae92a6b14b311330766cbdd102b83f459ded9f6d22b3 1429 devscripts_2.10.62.dsc
 64cd533f6ece97535040eb435b35926a6b95b3ed65c43ea908b648fc409ec3e7 691740 devscripts_2.10.62.tar.gz
 a98b0b8a49c551c7a9008bd6af2dae0c5c52ae25ed13015225cfbaa5a34761d4 597912 devscripts_2.10.62_i386.deb
Files: 
 ff3a5b0aa91757c2b6f7c5ae45d9c8c8 1429 devel optional devscripts_2.10.62.dsc
 4b436cc26b3fcbf77a5beac52938c1d5 691740 devel optional devscripts_2.10.62.tar.gz
 c1185c14e52aabce206e722aee5c03fd 597912 devel optional devscripts_2.10.62_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAku6pKEACgkQDb3UpmEybUDPVgCgiq6QBvI8SV3yMLKf/0/7mUPB
kYwAnRkv/WIIxYZxlFluLONfNJVJ+g85
=PkiY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 May 2010 07:32:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:05:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.